DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Public Types | Private Member Functions | List of all members
DcmIODTypes Class Reference

Class that wraps some constant definitions in the context of IODs. More...

## Classes
class | Frame
| Struct representing a single frame. More...
struct | FrameBase
| Base class to store pixel data for frames. More...

## Public Types
enum | IOD_IE { IE_UNDEFINED , IE_PATIENT , IE_STUDY , IE_SERIES , IE_FOR , IE_EQUIPMENT , IE_IMAGE , IE_INSTANCE }
| IOD Information Entities (incomplete list, extended as needed) More...
enum | IOD_LATERALITY { LATERALITY_UNDEFINED , LATERALITY_L , LATERALITY_R }
| Enumerated values for attribute "Laterality". More...
enum | IOD_ENHUSIMAGETYPE { IMAGETYPE_UNKNOWN , IMAGETYPE_ORIGINAL , IMAGETYPE_DERIVED }
| Enhanced US Image Module: Image Type (first value) More...

## Private Member Functions
| DcmIODTypes ()
| Private undefined default constructor.
| ~DcmIODTypes ()
| Private undefined destructor.

## Detailed Description

Class that wraps some constant definitions in the context of IODs.

## Member Enumeration Documentation

## ◆ IOD_ENHUSIMAGETYPE

enum DcmIODTypes::IOD_ENHUSIMAGETYPE

Enhanced US Image Module: Image Type (first value)

Enumerator
IMAGETYPE_UNKNOWN | Unknown.
IMAGETYPE_ORIGINAL | ORIGINAL.
IMAGETYPE_DERIVED | DERIVED.

## ◆ IOD_IE

enum DcmIODTypes::IOD_IE

IOD Information Entities (incomplete list, extended as needed)

Enumerator
IE_UNDEFINED | Undefined Information Entity (i.e. no value set)
IE_PATIENT | Patient Entity.
IE_STUDY | Study Entity.
IE_SERIES | Series Entity.
IE_FOR | Frame of Reference Entity.
IE_EQUIPMENT | Equipment Entity.
IE_IMAGE | Image Entity.

## ◆ IOD_LATERALITY

enum DcmIODTypes::IOD_LATERALITY

Enumerated values for attribute "Laterality".

Enumerator
LATERALITY_UNDEFINED | Undefined (e.g. value not set)
LATERALITY_L | Left body part.
LATERALITY_R | Right body part.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodtypes.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1